NodeList (Groovy 5.1.0)

Package: groovy.util

## [Java] Class NodeList

- groovy.util.NodeList

-     public class NodeList
      extends ArrayList

  A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeList()`
    `NodeList(Collection collection)`
    `NodeList(int size)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `clone()` Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
    `` | `public NodeList` | `getAt(String name)` Provides lookup of elements by non-namespaced name.
    `` | `public NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
    `` | `public Object` | `getAttribute(Object object, String attribute)`
    `` | `public Object` | `getAttribute(Class sender, Object object, String attribute, boolean isSuper)`
    `` | `public Object` | `getProperty(Object object, String property)`
    `` | `public Object` | `getProperty(Class sender, Object object, String property, boolean isSuper, boolean isInner)`
    `` | `public void` | `plus(Closure c)`
    `` | `public Node` | `replaceNode(Closure c)`
    `` | `public void` | `setAttribute(Object object, String attribute, Object newValue)`
    `` | `public void` | `setAttribute(Class sender, Object object, String attribute, Object newValue, boolean isSuper, boolean isInner)`
    `` | `protected static void` | `setMetaClass(Class nodeListClass, MetaClass metaClass)`
    `` | `public String` | `text()` Returns the text value of all of the elements in the collection.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, addAll, addAll, clear, clone, contains, containsAll, ensureCapacity, equals, forEach, get, getClass, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, notify, notifyAll, parallelStream, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, stream, subList, toArray, toArray, toArray, toString, trimToSize, wait, wait, wait`

- - ### Constructor Detail

    - #### public NodeList()

    - #### public NodeList(Collection collection)

    - #### public NodeList(int size)

  - ### Method Detail

    - #### @Override
      public Object clone()

      Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).

      Returns:
        the clone

    - #### public NodeList getAt(String name)

      Provides lookup of elements by non-namespaced name.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### public NodeList getAt(QName name)

      Provides lookup of elements by QName.

      Parameters:
        `name` - the name or shortcut key for nodes of interest
      Returns:
        the nodes of interest which match name

    - #### @Override
      public Object getAttribute(Object object, String attribute)

    - #### @Override
      public Object getAttribute(Class sender, Object object, String attribute, boolean isSuper)

    - #### @Override
      public Object getProperty(Object object, String property)

    - #### @Override
      public Object getProperty(Class sender, Object object, String property, boolean isSuper, boolean isInner)

    - #### public void plus(Closure c)

    - #### public Node replaceNode(Closure c)

    - #### @Override
      public void setAttribute(Object object, String attribute, Object newValue)

    - #### @Override
      public void setAttribute(Class sender, Object object, String attribute, Object newValue, boolean isSuper, boolean isInner)

    - #### protected static void setMetaClass(Class nodeListClass, MetaClass metaClass)

    - #### public String text()

      Returns the text value of all of the elements in the collection.

      Returns:
        the text value of all the elements in the collection or null